-   Slackware (
-   -   digikam won't start on 14 after upgrade. (

camorri 11-30-2012 11:53 AM

digikam won't start on 14 after upgrade.
I upgraded my netbook from 13.37 to 14 all 32 bit system. After the upgrade, I had several programs that would not start. I have resolved all of them except Digikam and showFoto.

I use sbopkg most of the time, I have had good results with it. digikam now has pre-req's that I don't think were there on 13.37. I installed numpy qjson qt3 and opebcv. I had a battle with opencv. It would not compile on the netbook. I kept running out of /tmp space. I have 14 32 bit installed on my desktop with digikam running just fine. That was a clean install. I compiled opencc on the desktop, and copied the file to the netbook and ran installpkg to install it. That worked like a charm.

I then used sbopkg to upgrade digikam. That also ran without problems, although it took some time on the n450 cpu.

If I start digikam from a konsole, here is the error I get.


digikam: error while loading shared libraries: cannot open shared object file: No such file or directory
Here are the packages I have installed.


ls /var/log/packages/ |grep kipi*
ls /var/log/packages/ |grep opencv
ls /var/log/packages/ |grep numpy
ls /var/log/packages/ |grep qjson
ls /var/log/packages/ |grep qt3
Libkipi shows...


For what ever reason, dikikam seems to be looking for an older version of

Since this was an upgrade, I thought this might have something to do with the fact I did not format /home, and config files in there were the problem. There is a file /home/cliff/.kde/share/config/digikamrc. I renamed it, same problem. Deleted .kde directory, still I have the same problem.

I'm out of ideas, short of a clean install. I would prefer not to do that.

Any ideas on how I can fix digikam so it will start? Frustrating part is on my desktop digikam works just fine on the clean install.

ponce 11-30-2012 12:16 PM

you should remove kipi-plugins and rebuild digikam, now it ships with its own version of those: have a look at the README for that and other changes (different dependencies -no qt3-, etc.)

camorri 11-30-2012 02:52 PM


you should remove kipi-plugins and rebuild digikam
I have removed it.

I compiled digikam-2.9.0-i486-1_SBo.tgz on my desktop system, copied the file to the netbook. I had to remove the old package, ( look at the name in post #1 ). Then I installed the new package. It now launches normally. qt3 I have not removed. So far all is well. Problem solved.

All times are GMT -5. The time now is 07:58 PM.